#include <bits/stdc++.h>

using namespace std;
int N,K,raz,mesto;
int b[100000];
int main(){
   cin>>N>>K;
   for (int i=1;i<=N;i++){
     cin>>b[i];
     if (b[i]!=K) raz=b[i];
   }

   //za 15 poena
   if (N==2){
     cout<<raz;
   }

   //za 20 poena
   if (N>2 and N<5){
      for (int i=1;i<=N;i++){
         if (b[i]==K) mesto=i;
      }
      if (mesto==N) cout<<b[1];
         else cout<<b[mesto+1];
   }

   //za 20 poena
   if (N==5){
      for (int i=1;i<=N;i++){
         if (b[i]==K) mesto=i;
      }
      if (mesto==N) cout<<b[1];
         else cout<<b[mesto+1];
   }

   //za 45 poena
   if (N>5){
      for (int i=1;i<=N;i++){
         if (b[i]==K) mesto=i;
      }
      if (mesto==N) cout<<b[1];
         else cout<<b[mesto+1];
   }
   return 0;
}